/* $Id: ChangeColorAction.java 327 2011-08-30 12:59:17Z minao $ */
package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.view.MemoPadView;
import smart_gs.drawing_tool.view.View;
import smart_gs.logical.Region;
import smart_gs.swingui.WorkspaceWindow;

public class ChangeColorAction implements ActionListener {
	View view;
	View.ViewColor color;
	
	public ChangeColorAction(Region region, View.ViewColor color) {
		this.view = region.getView();
		this.color = color;
	}
	
	@Override
	public void actionPerformed(ActionEvent e) {
		view.setViewColor(color);
		WorkspaceWindow.setUpdated(true);
	}

}
